"""std calibration fail email template

Revision ID: 6bde0a49d298
Revises: e61671602ed0
Create Date: 2023-03-21 16:18:41.503800

"""
from alembic import op
from pathlib import Path


# revision identifiers, used by Alembic.
revision = '6bde0a49d298'
down_revision = 'aaa0d28d422c'
branch_labels = None
depends_on = None

template_name = 'std_calibration_fail'
template_description = 'Sent when calibrations fail QA'
template_content = (Path.cwd() / "versions" / "templates" / "emails" / "std_calibration_fail_2.8.1.txt").read_text()


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template)
        VALUES (E'{template_name}', E'{template_description}', E'{template_content}')
        """
    )


def downgrade():
    op.execute(
        f"""
        DELETE FROM notification_templates WHERE name = E'{template_name}'
        """
    )
